Summary:   Write an ISO file to multiple USB devices at once
Name:      gnome-multi-writer
Version:   3.16.0
Release:   1%{?dist}
License:   GPLv2+
URL:       https://wiki.gnome.org/Apps/MultiWriter
Source0:   https://download.gnome.org/sources/gnome-multi-writer/3.16/gnome-multi-writer-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: docbook-utils
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: libcanberra-devel >= 0.10
BuildRequires: libgusb-devel >= 0.2.4
BuildRequires: libudisks2-devel
BuildRequires: libgudev1-devel
BuildRequires: libappstream-glib

Requires:      gnome-icon-theme-extras

%description
GNOME MultiWriter can be used to write an ISO file to multiple USB devices
simultaneously.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS NEWS
%{_bindir}/%{name}
%{_bindir}/%{name}-probe
%{_datadir}/appdata/org.gnome.MultiWriter.appdata.xml
%{_datadir}/applications/org.gnome.MultiWriter.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.MultiWriter.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/polkit-1/actions/org.gnome.MultiWriter.policy
%{_mandir}/man1/gnome-multi-writer.1.gz

%changelog
* Mon Mar 23 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.0-1
- Update to 3.16.0

* Mon Mar 16 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.92-1
- Update to 3.15.92

* Mon Mar 02 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.91-1
- Update to 3.15.91
- Use the %%license macro for the COPYING file

* Fri Feb 13 2015 Richard Hughes <rhughes@redhat.com> - 3.15.90-1
- Update to 3.15.90

* Fri Jan 19 2015 Richard Hughes <richard@hughsie.com> 3.15.4-1
- New upstream release
- Add quirks for the 36 port MegaHub
- Fix crash when libusb context creation fails
- Lots of new translations
- Never use the USB platform ID for the hub label
- Show the size next to the device name when the device is idle
- Support root hubs with bus numbers >= 8
- Unmount all partitions when a device is inserted

* Fri Jan 09 2015 Richard Hughes <richard@hughsie.com> 3.15.2-2
- Depend on a new enough version of libgusb
- Depend on the correct icon sets being installed
- Resolves: #1180630, #1180610

* Fri Jan 09 2015 Richard Hughes <richard@hughsie.com> 3.15.2-1
- New upstream release
- Make the verification and wipe optional
- Queue the device writes according to the connected root hub
- Show a warning dialog before copying for the first time
- Show some global read/write stats in the title bar
- Use GUsb to renumber composite hubs

* Sun Jan 04 2015 Richard Hughes <richard@hughsie.com> 3.15.1-1
- First attempt at packaging
